# 2.5.6

Release date: `2017-11-02`

## Core

- [NXDRIVE-998](https://jira.nuxeo.com/browse/NXDRIVE-998): Fix behavior if the PAC URL is not reachable
- [NXDRIVE-1006](https://jira.nuxeo.com/browse/NXDRIVE-1006): Improve calls to /site/automation
- [NXDRIVE-1012](https://jira.nuxeo.com/browse/NXDRIVE-1012): Remote watcher is missing keywords
- [NXDRIVE-1013](https://jira.nuxeo.com/browse/NXDRIVE-1013): Fix and improve connection test for new account creation
- [NXDRIVE-1020](https://jira.nuxeo.com/browse/NXDRIVE-1020): Unlock Windows events queue capacity

## GUI

- [NXDRIVE-1004](https://jira.nuxeo.com/browse/NXDRIVE-1004): Dynamically select the JSF or Web UI URLs
- [NXDRIVE-1016](https://jira.nuxeo.com/browse/NXDRIVE-1016): Unity does not use left click in the systray
- [NXDRIVE-1018](https://jira.nuxeo.com/browse/NXDRIVE-1018): Use the user's browser to show the metadata window

## Packaging / Build

- [NXDRIVE-737](https://jira.nuxeo.com/browse/NXDRIVE-737): Use a single launcher
- [NXDRIVE-971](https://jira.nuxeo.com/browse/NXDRIVE-971): Uninstallation fails sometimes on Windows

## Tests

- [NXDRIVE-739](https://jira.nuxeo.com/browse/NXDRIVE-739): Refactor tests that use direct call to ndrive.py
- [NXDRIVE-984](https://jira.nuxeo.com/browse/NXDRIVE-984): Create a script to check any pip installation regressions

## Minor Changes

- Framework: Clean-up queue_manager.py
- Framework: Fix LocalClient.get_path() to use str.partition() and prevent IndexErrors
- GUI: Fix a SEGFAULT when closing the metadata window
- GUI: Add envar `USE_OLD_MENU` to force the use of the old menu
- Jenkins: The beta job now uploads the package to the PyPi server
- Packaging: Updated `psutil` from 5.3.1 to 5.4.0
- \[macOS\] Fix the favorite link creation
- \[Windows\] Packaging: Prevent infinite loop when uninstalling
- \[Windows\] Packaging: Fix symbolic link creation
- \[Windows\] Packaging: Create the desktop shortcut at installation
- \[Windows\] Packaging: Removed "Launch Nuxeo Drive" checkbox from the installer
- \[Windows\] Packaging: The configuration stored in the registry moved from `HKEY_LOCAL_MACHINE` to `HKEY_CURRENT_USER`

## Technical Changes

- Added `BaseAutomationClient.check_access()`
- Added `BaseAutomationClient.server_reachable()`
- Removed `LocalWatcher.get_windows_queue_threshold()`
- Removed `LocalWatcher.set_windows_queue_threshold()`
- Added `Manager.open_metadata_window()`
- Removed `WindowsIntegration.register_desktop_link()`
- Removed `WindowsIntegration.unregister_desktop_link()`
- Added utils.py::`get_device()`
- Removed utils.py::`DEFAULT_ENCODING`
- Removed utils.py::`WIN32_SUFFIX`
- Removed wui/metadata.py
