# 4.1.1

Release date: `2019-04-04`

## Core

- [NXDRIVE-986](https://jira.nuxeo.com/browse/NXDRIVE-986): Creating a new folder then renaming generates meaningless URLs
- [NXDRIVE-1571](https://jira.nuxeo.com/browse/NXDRIVE-1571): Fix variable referenced before assignment in the `RemoteWatcher`
- [NXDRIVE-1600](https://jira.nuxeo.com/browse/NXDRIVE-1600): [Windows] OSError with datetime.fromtimestamp(t) when t < 0
- [NXDRIVE-1601](https://jira.nuxeo.com/browse/NXDRIVE-1601): Ensure SSL support when packaged
- [NXDRIVE-1603](https://jira.nuxeo.com/browse/NXDRIVE-1603): Improve URLs guesses upon connection
- [NXDRIVE-1607](https://jira.nuxeo.com/browse/NXDRIVE-1607): Improve URLS computation
- [NXDRIVE-1608](https://jira.nuxeo.com/browse/NXDRIVE-1608): Fix logging level setters
- [NXDRIVE-1609](https://jira.nuxeo.com/browse/NXDRIVE-1609): Application cannot handle nxdrive:// url on first launch
- [NXDRIVE-1611](https://jira.nuxeo.com/browse/NXDRIVE-1611): Add chunk upload options
- [NXDRIVE-1612](https://jira.nuxeo.com/browse/NXDRIVE-1612): [macOS] Improve running applications detection
- [NXDRIVE-1613](https://jira.nuxeo.com/browse/NXDRIVE-1613): Handle `None` chunk_size during upload
- [NXDRIVE-1614](https://jira.nuxeo.com/browse/NXDRIVE-1614): Improve the `Action` class implementation

## GUI

- [NXDRIVE-1557](https://jira.nuxeo.com/browse/NXDRIVE-1557): Display progress bars in the systray menu

## Packaging / Build

- [NXDRIVE-1573](https://jira.nuxeo.com/browse/NXDRIVE-1573): Upgrade from Python 3.6.7 to 3.6.8
- [NXDRIVE-1592](https://jira.nuxeo.com/browse/NXDRIVE-1592): Fix the alpha cleanup script

## Tests

- [NXDRIVE-1593](https://jira.nuxeo.com/browse/NXDRIVE-1593): Use java 11 for tests

## Minor Changes

- Packaging: Updated `nuxeo` from 2.0.4 to 2.0.5
- Testing: Removed 8.10 jenkinsfile and pom.xml (not used)

## Techical Changes

- Added `Action.export()`
- Added `Action.finish()`
- Added `Application.action_done()`
- Added `Application.action_progressing()`
- Added `Application.action_started()`
- Added `Application.refresh_actions()`
- Added `reporter` keyword argument to `FileAction.__init__()`
- Added `FileAction.done` signal
- Added `FileAction.progressing` signal
- Added `FileAction.started` signal
- Added `Remote.move2()`
- Removed `use_trash` keyword argument from `Remote.get_info()`
- Moved __main__.py::`ask_for_metrics_approval()` to `Application`
- Moved __main__.py::`show_metrics_acceptance()` to `Application`
- Added gui/view.py::`ActionModel`
- Added options.py::`chunk_limit`
- Added options.py::`chunk_size`
- Added options.py::`chunk_upload`
